Skip to main content
PATCH
/
v1
/
roles
/
{roleID}
Update a role
curl --request PATCH \
  --url https://api.strait.dev/v1/roles/{roleID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>",
  "permissions": [
    "<string>"
  ],
  "parent_role_id": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "is_system": true,
  "name": "<string>",
  "permissions": [
    "<string>"
  ],
  "project_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "$schema": "<string>",
  "description": "<string>",
  "parent_role_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

roleID
string
required

Body

application/json
description
string
required
name
string
required
permissions
string[] | null
required
parent_role_id
string

Response

OK

created_at
string<date-time>
required
id
string
required
is_system
boolean
required
name
string
required
permissions
string[] | null
required
project_id
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/ProjectRole.json"

description
string
parent_role_id
string